kauth-ubik-wrap-pad-requisite-args-out-20071126
authorChristof Hanke <hanke@rzg.mpg.de>
Mon, 26 Nov 2007 20:38:14 +0000 (20:38 +0000)
committerDerrick Brashear <shadow@dementia.org>
Mon, 26 Nov 2007 20:38:14 +0000 (20:38 +0000)
of course, if Date is larger than 32 bits, the wrapper is broken anyway. we should really get rid of the wrapper

src/kauth/authclient.c

index 9d99966..2908191 100644 (file)
@@ -553,15 +553,15 @@ ka_Authenticate(char *name, char *instance, char *cell, struct ubik_client * con
 
     version = 2;
     code =
-       kawrap_ubik_Call(KAA_AuthenticateV2, conn, 0, name, instance, start,
-                        end, &arequest, &oanswer);
+       kawrap_ubik_Call(KAA_AuthenticateV2, conn, 0, name, instance,
+                        start, end, &arequest, &oanswer, 0, 0);
     if (code == RXGEN_OPCODE) {
        oanswer.MaxSeqLen = sizeof(answer);
        oanswer.SeqBody = (char *)&answer;
        version = 1;
        code =
            ubik_Call(KAA_Authenticate, conn, 0, name, instance, start, end,
-                     &arequest, &oanswer);
+                     &arequest, &oanswer, 0, 0);
        if (code == RXGEN_OPCODE) {
            extern int KAA_Authenticate_old();
            oanswer.MaxSeqLen = sizeof(answer_old);